E-MailRelay

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
GSmtp::Client::Config Struct Reference

A structure containing GSmtp::Client configuration parameters. More...

`#include <gsmtpclient.h>`

## Public Member Functions
| Config (std::string filter_address, unsigned int filter_timeout, bool bind_local_address, const GNet::Address &local_address, const ClientProtocol::Config &protocol_config, unsigned int connection_timeout, unsigned int secure_connection_timeout, bool secure_tunnel)

## Public Attributes
std::string | filter_address
unsigned int | filter_timeout
bool | bind_local_address
GNet::Address | local_address
ClientProtocol::Config | client_protocol_config
unsigned int | connection_timeout
unsigned int | secure_connection_timeout
bool | secure_tunnel

## Detailed Description

A structure containing GSmtp::Client configuration parameters.

Definition at line 55 of file gsmtpclient.h.

The documentation for this struct was generated from the following files:

- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gsmtp/gsmtpclient.h
- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gsmtp/gsmtpclient.cpp